<?xml version="1.0" encoding="utf-8"?>
<window screenLeft="0" screenTop="0" width="610" height="390" titleBar="false" title="下载管理" resizeMargins="2,2,2,2"  minWidth="610" minHeight="390" maximizable="true" onsizemode="if (window.sizemode == IDOMWindow.SizeMode_Maximized){$('maxRestoreBtn').checked = true;} else{$('maxRestoreBtn').checked=false;}">
	<script src="common.js" />
	<script src="DownloadManager.xml.js" />
	<subwindow left="0" top="0" width="610" height="390" horizontalAlignment="stretch" verticalAlignment="stretch">
		<!-- top left -->
		<subwindow left="0" top="0" width="10" height="32" backgroundImage="std_dlg_t_l.bmp" horizontalAlignment="left" verticalAlignment="top" clippingColor="#FF00FF" />
		<!-- top -->
		<subwindow left="10" top="0" width="590" height="32" backgroundImage="std_dlg_t.bmp" clippingColor="#FF00FF" horizontalAlignment="stretch" verticalAlignment="top" backgroundImageStretchMode="stretch" backgroundColor="#000000">
			<label left="0" top="10" width="60" height="14" value="下载管理" textAlignment="left vcenter" fontSize="14" fontStyle="bold" passThrough="true" foregroundColor="#cccccc"/>
			<subwindow left="511" top="4" width="99" height="23" horizontalAlignment="right" >
				<button left="0" top="0" width="23" height="23" image="std_dlg_min.png" hoverImage="std_dlg_min_hover.png" downImage="std_dlg_min_down.png" tooltip="最小化" onclick="window.sizemode=1;"/>
				<button id="maxRestoreBtn" left="28" top="0" width="23" height="23" image="std_dlg_max.png" hoverImage="std_dlg_max_hover.png" downImage="std_dlg_max_down.png" checkImage="std_dlg_restore.png" checkHoverImage="std_dlg_restore_hover.png" checkDownImage="std_dlg_restore_down.png" tooltip="最大化" checkTooltip="向下还原" onclick="if (window.sizemode == 2){window.sizemode = 0;} else{ window.sizemode = 2;}"/>
				<button left="56" top="0" width="23" height="23" image="std_dlg_close.png" hoverImage="std_dlg_close_hover.png" downImage="std_dlg_close_down.png" tooltip="关闭" onclick="ShowBalloon()"/>
			</subwindow>
		</subwindow>
		<!-- top right -->
		<subwindow left="600" top="0" width="10" height="32" backgroundImage="std_dlg_t_r.bmp" horizontalAlignment="right" verticalAlignment="top" clippingColor="#FF00FF" />
		<!-- left frame border-->
		<subwindow left="0" top="32" width="2" height="356" backgroundImage="std_dlg_l.bmp" horizontalAlignment="left" verticalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- right frame border-->
		<subwindow left="608" top="32" width="2" height="356" backgroundImage="std_dlg_r.bmp" horizontalAlignment="right" verticalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- bottom left -->
		<subwindow left="0" top="388" width="2" height="2" backgroundImage="std_dlg_b_l.bmp" horizontalAlignment="left" verticalAlignment="bottom" clippingColor="#FF00FF" />
		<!-- bottom right -->
		<subwindow left="608" top="388" width="2" height="2" backgroundImage="std_dlg_b_r.bmp" horizontalAlignment="right" verticalAlignment="bottom" clippingColor="#FF00FF" />
		<!-- bottom frame border-->
		<subwindow left="2" top="388" width="606" height="2" backgroundImage="std_dlg_b.bmp" horizontalAlignment="stretch" verticalAlignment="bottom" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>

		<!-- main subwindow-->
		<subwindow left="2" top="32" width="606" height="356" horizontalAlignment="stretch" verticalAlignment="stretch" backgroundColor="#FFFFFF">
			<subwindow id="DownloadContainer" left="0" top="0" width="606" height="356" horizontalAlignment="stretch" verticalAlignment="stretch" backgroundColor="#CCFF66" visible="true">
				<widget id="Download" left="0" top="0" width="606" height="356" horizontalAlignment="stretch" verticalAlignment="stretch" contractId="@pplive.com/chdownloadwnd_3;1" visible="true" OnContextMenu="OnDownlaodWndMenu(arguments[0], arguments[1], arguments[2], arguments[3], arguments[4]);" />  <!-- @pplive.com/chdownloadwnd_3;1 -->
				<!--正在下载单个选中菜单-->
				<menupopup id="menu_downloading_single" onpopupshowing="buildDownloadSkinMenu(this);">
					<menuitem id="menu_begin_download"  label="开始" oncommand="DownloadingSingleSelectCmd(0)"/>
					<menuitem id="menu_pause_download" label="暂停" oncommand="DownloadingSingleSelectCmd(1)"/>
					<menuitem id="menu_play_download" label="播放" oncommand="DownloadingSingleSelectCmd(2)"/>
					<menuseparator/>
					<menuitem id="menu_folder_download" label="打开文件夹" oncommand="DownloadingSingleSelectCmd(3)"/>
					<menuseparator/>
					<menuitem id="menu_delete_task_download" label="删除任务" oncommand="DownloadingSingleSelectCmd(4)"/>
					<menuitem id="menu_delete_task_file_download" label="删除任务及下载文件" oncommand="DownloadingSingleSelectCmd(5)"/>
					<menuseparator/>
					<menuitem id="menu_begin_all_inSingle_download" label="全部开始" oncommand="DownloadingSingleSelectCmd(6)"/>
					<menuitem id="menu_pause_al_inSingle_download" label="全部暂停" oncommand="DownloadingSingleSelectCmd(7)"/>
					<menuseparator/>
					<menuitem id="menu_attribute_download" label="文件属性" oncommand="DownloadingSingleSelectCmd(8)"/>
				</menupopup>
				<!--正在下载多个选中菜单-->
				<menupopup id="menu_downloading_multi" onpopupshowing="buildDownloadSkinMenu(this);">
					<menuitem id="menu_begin_multi_download" label="全部开始" oncommand="DownloadingMultiSelectPreCmd(0)"/>
					<menuitem id="menu_pause_multi_download" label="全部暂停" oncommand="DownloadingMultiSelectPreCmd(1)"/>
					<menuseparator/>
					<menuitem id="menu_delete_multi_task_download" label="删除全部任务" oncommand="DownloadingMultiSelectPreCmd(2)"/>
					<menuitem id="menu_delete_multi_task_file_download" label="删除全部任务及下载文件" oncommand="DownloadingMultiSelectPreCmd(3)"/>
				</menupopup>
				<!--正在下载全部选中菜单-->
				<menupopup id="menu_downloading_all" onpopupshowing="buildDownloadSkinMenu(this);">
					<menuitem id="menu_begin_all_download" label="全部开始" oncommand="DownloadingAllSelectCmd(0)"/>
					<menuitem id="menu_pause_all_download" label="全部暂停" oncommand="DownloadingAllSelectCmd(1)"/>
					<menuseparator/>
					<menuitem id="menu_delete_all_task_download" label="删除全部任务" oncommand="DownloadingAllSelectCmd(2)"/>
					<menuitem id="menu_delete_all_task_file_download" label="删除全部任务及下载文件" oncommand="DownloadingAllSelectCmd(3);"/>
				</menupopup>
		
				<!--下载完成单个选中菜单-->
				<menupopup id="menu_finish_single" onpopupshowing="buildDownloadSkinMenu(this);">
					<menuitem id="menu_open_file_finish"  label="打开文件" oncommand="FinishSingleSelectCmd(0)"/>
					<menuitem id="menu_folder_finish" label="打开文件夹" oncommand="FinishSingleSelectCmd(1)"/>
					<menuseparator/>
					<menuitem id="menu_delete_task_finish" label="删除任务记录" oncommand="FinishSingleSelectCmd(2)"/>
					<menuitem id="menu_delete_task_file_finish" label="删除任务记录及下载文件" oncommand="FinishSingleSelectCmd(3)"/>
					<menuseparator/>
					<menuitem id="menu_delete_redownload_finish" label="重新开始下载" oncommand="FinishSingleSelectCmd(4)"/>
					<menuitem id="menu_move_file_finish" label="移动文件到..." oncommand="FinishSingleSelectCmd(5)"/>
					<menuseparator/>
					<menuitem id="menu_attribute_finish" label="任务属性" oncommand="FinishSingleSelectCmd(6)"/>
				</menupopup>
		
				<!--下载完成多个选中菜单-->
				<menupopup id="menu_finish_multi" onpopupshowing="buildDownloadSkinMenu(this);">
					<menuitem id="menu_delete_multi_task_finish"  label="删除全部任务" oncommand="FinishMultiSelectCmd(0)"/>
					<menuitem id="menu_delete_multi_task_file_finish"  label="删除全部任务及下载文件" oncommand="FinishMultiSelectCmd(1)"/>
				</menupopup>
				<!--下载完成全部选中菜单-->
				<menupopup id="menu_finish_all" onpopupshowing="buildDownloadSkinMenu(this);">
					<menuitem id="menu_delete_all_task_finish"  label="删除所有任务" oncommand="FinishAllSelectCmd(0)"/>
					<menuitem id="menu_delete_all_task_file_finish"  label="删除所有任务及下载文件" oncommand="FinishAllSelectCmd(1)"/>
				</menupopup>
			</subwindow>
		</subwindow>
	</subwindow>
</window>